device (Device): The device where the git event occurredperson (Person): The person who triggered the git eventrepository (GitRepository): The git repository involvedcurl --location --request POST '/data-exfiltration/git-events' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"distinct_count": "string",
"include_total_count": true,
"limit": 10,
"offset": 0,
"query": "name='\''WINPC-4291'\'' AND status IN ('\''active'\'', '\''pending'\'')",
"sort": "name desc, id"
}'{
"distinct_values": [
{
"count": 0,
"value": null
}
],
"pagination": {
"count": 0,
"total_count": 1000
},
"items": [
{
"allowlisted": true,
"device_id": "string",
"event_type": "unspecified",
"exfiltration_suspected": true,
"first_seen": "2023-10-01T12:00:00Z",
"high_prevalence": true,
"id": "string",
"last_seen": "2023-10-01T12:00:00Z",
"person_email": "string",
"person_id": "8CA67511-744C-4D74-B26E-7281CF88712F",
"person_name": "string",
"repository_id": "string",
"repository_name": "string",
"risk_factors": [
{
"magnitude": 40,
"type": "sensitive_file"
}
],
"risk_score": 9.2
}
]
}